# Colysis
A simple game written in C++ and using SFML.

## Building
To build the project, you need to have [CMake](https://cmake.org/) installed.

### Linux
```sh
mkdir build
cd build
cmake ..
make
```

### Windows
```sh
mkdir build
cd build
cmake -G "Visual Studio 17 2022" ..
cmake --build . --config Release
```

### macOS
```sh
mkdir build
cd build
cmake -G "Xcode" ..
cmake --build . --config Release
```

## Running
After building, you can run the game by executing the `colysis` executable.

## License
The game will be open source *but* without the game assets. \
So you will be able to make your own game from colysis but the assets can only be purchased.
